> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Merge multiple tickets into one



## OpenAPI

````yaml https://api.gleap.io/api-docs.json put /tickets/merge
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /tickets/merge:
    put:
      tags:
        - Ticket
      summary: Merge multiple tickets into one
      operationId: MergeTickets
      parameters:
        - in: header
          name: project
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                shouldMergeContacts:
                  type: boolean
                shouldMergeTasks:
                  type: boolean
                shouldCreateNewTicket:
                  type: boolean
                ticketsToMergeIds:
                  items:
                    type: string
                  type: array
                targetTicketId:
                  type: string
              required:
                - shouldMergeContacts
                - shouldMergeTasks
                - shouldCreateNewTicket
                - ticketsToMergeIds
              type: object
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema: {}
      security:
        - jwt: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````